Name: python-module-pyvorbis
Version: 1.3
Release: alt2

Summary: A Python module for the the Ogg/Vorbis library
Group: Development/Python
License: GPL
Url: http://www.andrewchatham.com/pyogg

Packager: Dmitry Vukolov <dav@altlinux.ru>

%setup_python_module pyvorbis

Source: %url/download/%modulename-%version.tar.bz2

%define libvorbis_ver 1.0
%define pyogg_ver 1.3

Requires: libvorbis >= %libvorbis_ver
Requires: python-module-pyogg >= %pyogg_ver

Provides: pyvorbis = %version
Obsoletes: pyvorbis

BuildPreReq: libvorbis-devel >= %libvorbis_ver
BuildPreReq: python-module-pyogg-devel >= %pyogg_ver

# Automatically added by buildreq on Mon Jul 19 2004
BuildRequires: libogg-devel libvorbis-devel python-base python-dev python-module-pyogg-devel python-modules-encodings

%description
%name is a wrapper for libvorbis, a compressed audio format library.

%package devel
Summary: %name headers and example programs
Group: Development/Python
Requires: %name = %version-%release
Provides: pyvorbis-devel = %version
Obsoletes: pyvorbis-devel

%description devel
%name is a wrapper for libvorbis, a compressed audio format library.

Install %name-devel if you need the API documentation and example
programs.

%define python_libdir %_libdir/python%__python_version
%define python_site_packages_dir %python_libdir/site-packages
%define python_includedir %_includedir/python%__python_version

%prep
%setup -q -n %modulename-%version

%build
export CFLAGS="$RPM_OPT_FLAGS"
%__python config_unix.py --prefix /usr
%__python setup.py build

%install
%__python setup.py install --root=%buildroot --optimize=2

%__mkdir_p %buildroot%python_includedir/%modulename
%__install -m644 src/*.h %buildroot%python_includedir/%modulename
%__chmod -x test/*

%files
%python_site_packages_dir/ogg/*.so
%doc AUTHORS ChangeLog README

%files devel
%python_includedir/%modulename
%doc test/*

%changelog
* Mon Jul 19 2004 Dmitry Vukolov <dav@altlinux.ru> 1.3-alt2
- renamed package from pyvorbis to python-module-pyvorbis
- repackaged according to the new python policy

* Thu Apr 15 2004 Dmitry Vukolov <dav@altlinux.ru> 1.3-alt1
- version 1.3

* Thu Dec 19 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1-alt1
- First build for Sisyphus.

